#pragma once

#include "generic_frame.h"

class IntroFrame : public GenericFrame {
public:
	IntroFrame();

	void Init();
	void DeInit();
	bool DoUpdate(float time);
	void DoRender();

private:

	float t;
	int tex;
	bool loaded;
	Renderer renderer;
};
